Microsoft Dynamics Get Record By ID Lead
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD",
"parameters": {
"entityId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD"
payload = {
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD",
"parameters": { "entityId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD',
parameters: {entityId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD',
'parameters' => [
'entityId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD"
payload := strings.NewReader("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"@odata.context": "https://example.crm.dynamics.com/api/data/v9.0/$metadata#leads/$entity",
"@odata.etag": "W/\"36693454\"",
"address1_shippingmethodcode": 1,
"_ownerid_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"leadid": "b8400eab-8944-42a4-a462-4b3d5341d0c9",
"fullname": "Docs Example",
"merged": false,
"salesstagecode": 1,
"yomifullname": "Docs Example",
"participatesinworkflow": false,
"evaluatefit": false,
"followemail": true,
"prioritycode": 1,
"_owninguser_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"address2_shippingmethodcode": 1,
"leadqualitycode": 2,
"confirminterest": false,
"decisionmaker": false,
"msdyn_ordertype": 192350000,
"address1_addressid": "6eea129b-11f0-4009-a9c4-81a9a0825246",
"address1_addresstypecode": 1,
"donotphone": false,
"_createdby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"donotemail": false,
"donotsendmm": false,
"_modifiedby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"companyname": "Docs Example Co",
"donotpostalmail": false,
"_owningbusinessunit_value": "a0b74d6c-90de-4c4f-a0e0-bf1888180f2d",
"modifiedon": "2026-10-16T06:19:42Z",
"statuscode": 1,
"donotbulkemail": false,
"lastname": "Docs Example",
"versionnumber": 36693454,
"statecode": 0,
"donotfax": false,
"msdyn_gdproptout": false,
"address2_addresstypecode": 1,
"createdon": "2026-10-16T06:19:42Z",
"preferredcontactmethodcode": 1,
"address2_addressid": "c71e4120-07f4-4175-ad29-a504536ad0e5",
"subject": "Docs Example Lead"
}Tools
Microsoft Dynamics Get Record By ID Lead
POST
/
projects
/
{project_id}
/
tools
/
#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD
Microsoft Dynamics Get Record By ID Lead
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD",
"parameters": {
"entityId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD"
payload = {
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD",
"parameters": { "entityId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD',
parameters: {entityId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD',
'parameters' => [
'entityId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD"
payload := strings.NewReader("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_LEAD\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"@odata.context": "https://example.crm.dynamics.com/api/data/v9.0/$metadata#leads/$entity",
"@odata.etag": "W/\"36693454\"",
"address1_shippingmethodcode": 1,
"_ownerid_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"leadid": "b8400eab-8944-42a4-a462-4b3d5341d0c9",
"fullname": "Docs Example",
"merged": false,
"salesstagecode": 1,
"yomifullname": "Docs Example",
"participatesinworkflow": false,
"evaluatefit": false,
"followemail": true,
"prioritycode": 1,
"_owninguser_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"address2_shippingmethodcode": 1,
"leadqualitycode": 2,
"confirminterest": false,
"decisionmaker": false,
"msdyn_ordertype": 192350000,
"address1_addressid": "6eea129b-11f0-4009-a9c4-81a9a0825246",
"address1_addresstypecode": 1,
"donotphone": false,
"_createdby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"donotemail": false,
"donotsendmm": false,
"_modifiedby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"companyname": "Docs Example Co",
"donotpostalmail": false,
"_owningbusinessunit_value": "a0b74d6c-90de-4c4f-a0e0-bf1888180f2d",
"modifiedon": "2026-10-16T06:19:42Z",
"statuscode": 1,
"donotbulkemail": false,
"lastname": "Docs Example",
"versionnumber": 36693454,
"statecode": 0,
"donotfax": false,
"msdyn_gdproptout": false,
"address2_addresstypecode": 1,
"createdon": "2026-10-16T06:19:42Z",
"preferredcontactmethodcode": 1,
"address2_addressid": "c71e4120-07f4-4175-ad29-a504536ad0e5",
"subject": "Docs Example Lead"
}Provider API: Microsoft Dataverse Web API (v9.0).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.
Body
application/json
Response
200 - application/json
The Dataverse record as returned by GET /api/data/v9.0/<table>(<id>). The fields depend on the table and the connected environment. Fields with a null value are omitted from the example.